# Method: locations.updateLodging

- [HTTP request](https://developers.google.com/my-business/reference/lodging/rest/v1/locations/updateLodging#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/lodging/rest/v1/locations/updateLodging#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/lodging/rest/v1/locations/updateLodging#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/lodging/rest/v1/locations/updateLodging#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/lodging/rest/v1/locations/updateLodging#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/lodging/rest/v1/locations/updateLodging#body.aspect)

Updates the Lodging of a specific location.

### HTTP request

`PATCH https://mybusinesslodging.googleapis.com/v1/{lodging.name=locations/*/lodging}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `lodging.name` | `string` Required. Google identifier for this location in the form: `locations/{locationId}/lodging` |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` Required. The specific fields to update. Use "\*" to update all fields, which may include unsetting empty fields in the request. Repeated field items cannot be individually updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/lodging/rest/v1/Lodging`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/my-business/reference/lodging/rest/v1/Lodging`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).